<?php
if(!defined('_engine_val'))
	     {
	     /* что бы ШкоЛоло-Хацкеры не выебывались */
    	 die('<b>Ошибка</b> :: 403 файл недоступен');
        	 }

class core {
public $system_build = version;                  // Версия системы
public $ip;                                                   // IP адрес в LONG формате
public $user_agent = 'Not Recognised';                        // User Agent (Browser)
public $time;                                                 // Системное время
public $lng = 'russian';
    function __construct() {
       global $db;
        $this->ip = ip2long($this->ip_get());
        if (get_magic_quotes_gpc())
            $this->del_slashes();
        $this->user_agent = $this->ua_get();
        $this->lng = $this->lang_get();
        $this->brow = $this->browser($this->user_agent);
        $this->time = time() + 0 * 3600;
        $this->commpres = $this->commpres();
    }

    /*
    -----------------------------------------------------------------
    Получаем реальный адрес IP
    -----------------------------------------------------------------
    */
    private function ip_get() {
        if (isset($_SERVER['HTTP_X_FORWARDED_FOR']) && $this->ip_valid($_SERVER['HTTP_X_FORWARDED_FOR'])) {
            return $_SERVER['HTTP_X_FORWARDED_FOR'];
        }  elseif ($_SERVER['REMOTE_ADDR']) {
            return $_SERVER['REMOTE_ADDR'];
        } else {
            die('Unknown IP');
        }
    }

    private function system_settings() {
    global $db;
        $req = $db->query("SELECT * FROM `settings`");
        while ($res = $db->get_row($req)) {
            $out[$res[0]] = $res[1];
        }
        $this->language_id = $out['lng_id'];
        $this->language_iso = $out['lng_iso'];
        $this->system_time = time() + $out['timeshift'] * 3600;
        $this->system_settings = $out;
    }

    /*
    -----------------------------------------------------------------
    Получаем данные для лангауга
    -----------------------------------------------------------------
    */
    private function lang_get() {
        if (isset($_COOKIE['lng'])) {
            return $_COOKIE['lng'];
        } else {
            return 'russian';
        }
    }

function commpres(){
if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && ereg('deflate', $_SERVER['HTTP_ACCEPT_ENCODING']))
{
	header('Content-Encoding: deflate');
	ob_START('G_de');
}
elseif (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && ereg('gzip', $_SERVER['HTTP_ACCEPT_ENCODING']))
{
	header('Content-Encoding: gzip');
	ob_START('G_en');
}
  }

    /*
    -----------------------------------------------------------------
    Получаем User Agent
    -----------------------------------------------------------------
    */
    private function ua_get(){
        return htmlentities(substr($_SERVER['HTTP_USER_AGENT'], 0, 150), ENT_QUOTES);
    }

    /*
    -----------------------------------------------------------------
    Валидация IP адреса
    -----------------------------------------------------------------
    */
    public function ip_valid($ip = '') {
        if (empty($ip))
            return false;
        $d = explode('.', $ip);

        for ($x = 0; $x < 4; $x++)
            if (!is_numeric($d[$x]) || ($d[$x] < 0) || ($d[$x] > 255))
                return false;

        return $ip;
    }

    /*
    -----------------------------------------------------------------
    Удаляем слэши из глобальных переменных
    -----------------------------------------------------------------
    */
    private function del_slashes() {
        $in = array (
            &$_GET,
            &$_POST,
            &$_COOKIE
        );

        while (list($k, $v) = each($in)) {
            foreach ($v as $key => $val) {
                if (!is_array($val)) {
                    $in[$k][$key] = stripslashes($val);
                    continue;
                }
                $in[] = &$in[$k][$key];
            }
        }
        unset($in);

        if (!empty($_FILES)) {
            foreach ($_FILES as $k => $v) {
                $_FILES[$k]['name'] = stripslashes((string)$v['name']);
            }
        }
    }

    /*
    -----------------------------------------------------------------
    Проверка пользователя на Бан
    -----------------------------------------------------------------
    */
    private function user_ban_check() {
        $req = mysql_query("SELECT * FROM `ban` WHERE `user` = '" . $this->user_id . "' AND `ban_time` > '" . $this->time . "'");

        if (mysql_num_rows($req)) {
            $this->user_rights = 0;
            while ($res = mysql_fetch_row($req)) {
                $this->user_ban[$res[4]] = 1;
            }
        }
    }

    /*
    -----------------------------------------------------------------
    Получение пользовательских настроек
    -----------------------------------------------------------------
    */
    private function user_settings() {
        if (!empty($this->user_data['set_user'])) {
            return unserialize($this->user_data['set_user']);
        } else {
            return $this->user_setings_default();
        }
    }

    /*
    -----------------------------------------------------------------
    Пользовательские настройки по умолчанию
    -----------------------------------------------------------------
    */
    private function user_setings_default() {
        $settings = array (
            'avatar' => 1,                               // Показывать аватары
            'gzip' => 1,                                 // Отображать коэффициент сжатия
            'kmess' => 10,                               // Число сообщений на страницу
            'online' => 1,                               // Время, проведенное Онлайн
            'sdvig' => 0,                                // Временной сдвиг
            'smileys' => 1,                              // Включить(1) выключить(0) смайлы
            'translit' => 0                              // Транслит
        );

        return $settings;
    }

    /*
    -----------------------------------------------------------------
    Автоочистка системы
    -----------------------------------------------------------------
    */
    private function autoclean() { 
     global $db;
        if (!isset($this->system_settings['clean_time']))
            $db->query("INSERT INTO `settings` SET `key` = 'clean_time', `val` = '0'");

        if ($this->system_settings['clean_time'] < $this->time - 86400) {
            // Очищаем таблицу статистики чата (удаляем записи старше 1 дня)
            #mysql_query("DELETE FROM `chat` WHERE `time` < '" . ($this->time - 86400) . "'");
           # mysql_query("OPTIMIZE TABLE `chat`");
            $db->query("DELETE FROM `clan_hat` WHERE `time` < '" . ($this->time - 86400) . "'");
            $db->query("OPTIMIZE TABLE `clan_chat`");
            // Обновляем метку времени
            $db->query("UPDATE `settings` SET  `val` = '" . $this->time . "' WHERE `key` = 'clean_time' LIMIT 1");
        }
                                 } 

private function browser($ua)
{
   if (preg_match('/opera min/i', $ua)) $browser = 'Opera Mini';
   else if (preg_match('/Chrome/i', $ua))$browser = 'Chrome';
   else if (preg_match('/Opera/i', $ua)) $browser = 'Opera';
   else if (preg_match('/MSIE/i', $ua)) $browser = 'IE';
   else if (preg_match('/Mozilla/i', $ua)) $browser = 'Mozilla';
   else if (preg_match('/ucweb/i', $ua)) $browser = 'UCWeb';
   else if (preg_match('/MSIE/i', $ua)) $browser = 'Microsoft Internet Explorer';
   else if (preg_match('/America Online Browser/i', $ua)) $browser = 'AOL Explorer';
   else if (preg_match('#(Avant|Advanced) Browser#i', $ua)) $browser = 'Avant Browser';
   else if (preg_match('#Camino/([0-9]+\.[0-9]+)#i', $ua)) $browser = 'Camino';
   else if (preg_match('/ELinks/i', $ua)) $browser = 'ELinks';
   else if (preg_match('/Epiphany/i', $ua)) $browser = 'Epiphany';
   else if (preg_match('/Flock/i', $ua)) $browser = 'Flock';
   else if (preg_match('/IceWeasel/i', $ua)) $browser = 'GNU IceWeasel';
   else if (preg_match('/IceCat/i', $ua)) $browser = 'GNU IceCat';
   else if (preg_match('/Microsoft Pocket Internet Explorer/i', $ua)) $browser = 'Internet Explorer Mobile';
   else if (preg_match('/MSPIE/i', $ua)) $browser = 'Internet Explorer Mobile';
   else if (preg_match('/Windows.+Smartphone/i', $ua)) $browser = 'Internet Explorer Mobile';
   else if (preg_match('/Konqueror/i', $ua)) $browser = 'Konqueror';
   else if (preg_match('/Links/i', $ua)) $browser = 'Links';
   else if (preg_match('/Lynx/i', $ua)) $browser = 'Lynx';
   else if (preg_match('/Minimo/i', $ua)) $browser = 'Minimo';
   else if (preg_match('#(Firebird|Phoenix|Firefox)/([0-9]+\.[0-9]+)#i', $ua)) $browser = 'Mozilla Firefox';
   else if (preg_match('/NetPositive/i', $ua)) $browser = 'NetPositive';
   else if (preg_match('/Opera Mini/i', $ua)) $browser = 'Opera Mini';
   else if (preg_match('/Opera Mobi/i', $ua)) $browser = 'Opera Mobile';
   else if (preg_match('#(SymbOS|Symbian).+Opera ([0-9]+\.[0-9]+)#i', $ua)) $browser = 'Opera Mobile';
   else if (preg_match('#Windows CE.+Opera ([0-9]+\.[0-9]+)#i', $ua)) $browser = 'Opera Mobile';
   else if (preg_match('/PlayStation Portable/i', $ua)) $browser = 'PlayStation Portable';
   else if (preg_match('/Safari/i', $ua)) $browser = 'Safari';
   else if (preg_match('/SeaMonkey/i', $ua)) $browser = 'SeaMonkey';
   else if (preg_match('/Shiira/i', $ua)) $browser = 'Shiira';
   else if (preg_match('/w3m/i', $ua)) $browser = 'w3m';
   else if (preg_match('#Chrome/([0-9]+\.[0-9]+)#i', $ua)) $browser = 'Google Chrome';
   else if (preg_match('#SONY/COM#i', $ua)) $browser = 'Sony mylo';
   else if (preg_match('/Nitro/i', $ua)) $browser = 'Nintendo DS';
   else if (preg_match('#^Openwave#i', $ua)) $browser = 'Openwave';
   else if (preg_match('/BOLT/i', $ua)) $browser = 'BOLT';
   else $browser = 'Неизвестно';
   if (preg_match('#Version/([0-9]+(\.[0-9]+)?)#i', $ua,$v)) $browser .= ' '.$v[1].'';
   return $browser;
}
  }
?>