-- phpMyAdmin SQL Dump
-- version 3.2.3
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Ноя 15 2011 г., 20:16
-- Версия сервера: 5.1.40
-- Версия PHP: 5.3.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- База данных: `core`
--

-- --------------------------------------------------------

--
-- Структура таблицы `bag`
--

CREATE TABLE IF NOT EXISTS `bag` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user` int(10) NOT NULL,
  `name` varchar(28) NOT NULL,
  `about` varchar(680) NOT NULL,
  `level` int(10) NOT NULL,
  `time` int(64) NOT NULL,
  `type` varchar(72) NOT NULL,
  `money` int(64) NOT NULL,
  `proc` int(3) NOT NULL DEFAULT '100',
  `ves` int(5) NOT NULL DEFAULT '0',
  `baff` int(10) NOT NULL DEFAULT '0',
  `stat_hp` int(3) NOT NULL DEFAULT '0',
  `stat_fp` int(3) NOT NULL DEFAULT '0',
  `stat_battery` int(3) NOT NULL DEFAULT '0',
  `stat_atc_count` int(3) NOT NULL DEFAULT '0',
  `stat_atc` int(3) NOT NULL DEFAULT '0',
  `stat_dfnc` int(3) NOT NULL DEFAULT '0',
  `count` int(100) NOT NULL DEFAULT '1',
  `pic` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=54 ;

--
-- Дамп данных таблицы `bag`
--

INSERT INTO `bag` (`id`, `user`, `name`, `about`, `level`, `time`, `type`, `money`, `proc`, `ves`, `baff`, `stat_hp`, `stat_fp`, `stat_battery`, `stat_atc_count`, `stat_atc`, `stat_dfnc`, `count`, `pic`) VALUES
(43, 1, 'Сигнальная Ракетница', 'Ракентница стрелающая зарядом из пиротехники для привлечения внимания', 3, 1314695107, 'right_weapon', 790, 100, 3, 0, 0, 0, 0, 1, 14, 0, 1, 2);

-- --------------------------------------------------------

--
-- Структура таблицы `locations`
--

CREATE TABLE IF NOT EXISTS `locations` (
  `id` int(12) NOT NULL,
  `title` varchar(128) NOT NULL DEFAULT 'Неизвестная зона',
  `txtsob` varchar(644) NOT NULL DEFAULT 'Описание отсутствует',
  `left` int(12) NOT NULL DEFAULT '0',
  `right` int(12) NOT NULL DEFAULT '0',
  `top` int(12) NOT NULL DEFAULT '0',
  `down` int(12) NOT NULL DEFAULT '0',
  `core` int(2) NOT NULL DEFAULT '0',
  `val` int(7) NOT NULL DEFAULT '0',
  `town` varchar(1822) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `locations`
--

INSERT INTO `locations` (`id`, `title`, `txtsob`, `left`, `right`, `top`, `down`, `core`, `val`, `town`) VALUES
(999, 'Малая Италия (запад)', 'Описание отсутствует', 0, 1000, 0, 0, 0, 0, ''),
(998, 'Малая Италия (восток)', 'Описание отсутствует', 1000, 0, 0, 0, 0, 0, ''),
(1000, 'Малая Италия', 'Описание отсутствует', 999, 998, 0, 0, 0, 0, '');

-- --------------------------------------------------------

--
-- Структура таблицы `mail`
--

CREATE TABLE IF NOT EXISTS `mail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` text NOT NULL,
  `read` set('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `id_user` (`id_user`,`id_kont`),
  KEY `read` (`read`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `mail`
--

INSERT INTO `mail` (`id`, `id_user`, `id_kont`, `time`, `msg`, `read`) VALUES
(1, 0, 1, 1321105592, 'Добро пожаловать в мир Линейки!<br />Рекомендуем ознакомиться c правилами игри, изучить игровой процесс в бибилиотеке.<br />Ответы на возникшие вопросы, всегда можно получить в чате, у консультантов игры или же в центре поддержки.<br />---<br />Для получения бонусного снаряжения,перейдите в город->Менеджер путешествий.<br />Рекомендуем Вам прислушиваться к <span style="font-weight: bold">Наставнику</span>!<br /><span class="bblist">Приятной игры!</span>', '0');

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `title` varchar(63) CHARACTER SET cp1251 NOT NULL,
  `msg` mediumtext CHARACTER SET cp1251 NOT NULL,
  `time` int(63) NOT NULL DEFAULT '0',
  `author` int(10) NOT NULL DEFAULT '1',
  `comments` enum('yes','no') CHARACTER SET cp1251 NOT NULL DEFAULT 'yes',
  `comments_count` int(10) NOT NULL DEFAULT '0',
  `main_time` int(20) NOT NULL,
  `link` varchar(64) CHARACTER SET cp1251 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `news`
--

INSERT INTO `news` (`id`, `title`, `msg`, `time`, `author`, `comments`, `comments_count`, `main_time`, `link`) VALUES
(1, 'Открытие', 'Доброго времени суток, Дорогие Полозователи![br]\r\nСегодня мы открыли наш проект для Вас!', 1318963815, 1, 'yes', 3, 600, '');

-- --------------------------------------------------------

--
-- Структура таблицы `news_comments`
--

CREATE TABLE IF NOT EXISTS `news_comments` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `id_news` int(10) NOT NULL,
  `msg` text NOT NULL,
  `user` int(10) NOT NULL,
  `otvet` int(10) NOT NULL,
  `time` int(10) NOT NULL,
  `ip` text NOT NULL,
  `brow` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=11 ;

--
-- Дамп данных таблицы `news_comments`
--

INSERT INTO `news_comments` (`id`, `id_news`, `msg`, `user`, `otvet`, `time`, `ip`, `brow`) VALUES
(10, 1, 'Всем привет))', 1, 0, 1321115937, '', '');

-- --------------------------------------------------------

--
-- Структура таблицы `npc`
--

CREATE TABLE IF NOT EXISTS `npc` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `name` varchar(48) NOT NULL,
  `value` int(1) NOT NULL,
  `level` int(3) NOT NULL,
  `ataka` int(7) NOT NULL,
  `defence` int(7) NOT NULL,
  `location` int(11) NOT NULL,
  `hp` int(12) NOT NULL,
  `hpmax` int(12) NOT NULL,
  `respaun` int(12) NOT NULL,
  `who` int(12) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=80 ;

--
-- Дамп данных таблицы `npc`
--

INSERT INTO `npc` (`id`, `name`, `value`, `level`, `ataka`, `defence`, `location`, `hp`, `hpmax`, `respaun`, `who`) VALUES
(1, 'Орочий пес', 4, 0, 0, 1, 995, 10, 10, 0, 1),
(2, 'Орочий пес', 4, 0, 0, 1, 995, 10, 10, 0, 1),
(3, 'Орочий пес', 4, 0, 0, 1, 994, 10, 10, 0, 1),
(4, 'Орочий пес', 4, 0, 0, 1, 996, 10, 10, 0, 1),
(5, 'Орочий пес', 4, 0, 0, 1, 993, 10, 10, 0, 1),
(6, 'Орочий пес', 4, 0, 0, 1, 996, 10, 10, 0, 1),
(7, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 1),
(8, 'Орочий пес', 4, 0, 0, 1, 997, 10, 10, 0, 1),
(9, 'Орочий пес', 4, 0, 0, 1, 996, 10, 10, 0, 1),
(10, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 1),
(11, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 1),
(12, 'Орочий пес', 4, 0, 0, 1, 996, 10, 10, 0, 1),
(13, 'Орочий пес', 4, 0, 0, 1, 999, 10, 10, 0, 1),
(14, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 1),
(15, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(16, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(17, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(18, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(19, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(20, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(21, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(22, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(23, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(25, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(52, 'Злой ящер', 4, 3, 5, 7, 1000, 20, 20, 0, 1),
(27, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(29, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(51, 'Злой ящер', 4, 3, 5, 7, 994, 20, 20, 0, 1),
(31, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(33, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(50, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 1),
(35, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(37, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(49, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(39, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(41, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(48, 'Злой ящер', 4, 3, 5, 7, 992, 20, 20, 0, 1),
(43, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(45, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(47, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 1),
(53, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 1),
(54, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(55, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(56, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(57, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(58, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(59, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(60, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(61, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(62, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(63, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(64, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(65, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(66, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(67, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(68, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(69, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(70, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(71, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(72, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(73, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(74, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(75, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(76, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(77, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(78, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(79, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(128) NOT NULL,
  `value` char(255) NOT NULL,
  `action` char(32) DEFAULT 'autoload',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `settings`
--

INSERT INTO `settings` (`id`, `name`, `value`, `action`) VALUES
(1, 'title', 'WEcms', 'autoload'),
(2, 'style', 'default', 'autoload'),
(3, 'meta_d', '', 'autoload'),
(4, 'meta_k', '', 'autoload'),
(5, 'url_home', 'http://my-engine.ru', 'autoload'),
(6, 'view', '1', 'news'),
(7, 'breaks', 'on', 'news'),
(8, 'smiles', 'on', 'news'),
(9, 'bbcodes', 'on', 'news'),
(10, 'comments', 'on', 'news'),
(11, 'size', '200', 'news');

-- --------------------------------------------------------

--
-- Структура таблицы `shop`
--

CREATE TABLE IF NOT EXISTS `shop` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user` int(10) NOT NULL,
  `name` varchar(28) NOT NULL,
  `about` varchar(680) NOT NULL,
  `level` int(10) NOT NULL,
  `time` int(64) NOT NULL,
  `type` varchar(72) NOT NULL,
  `money` int(64) NOT NULL,
  `proc` int(3) NOT NULL DEFAULT '100',
  `ves` int(5) NOT NULL DEFAULT '0',
  `baff` int(10) NOT NULL DEFAULT '0',
  `stat_hp` int(3) NOT NULL DEFAULT '0',
  `stat_fp` int(3) NOT NULL DEFAULT '0',
  `stat_battery` int(3) NOT NULL DEFAULT '0',
  `stat_atc_count` int(3) NOT NULL DEFAULT '0',
  `stat_atc` int(3) NOT NULL DEFAULT '0',
  `stat_dfnc` int(3) NOT NULL DEFAULT '0',
  `type_m` varchar(10) NOT NULL,
  `pic` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `shop`
--

INSERT INTO `shop` (`id`, `user`, `name`, `about`, `level`, `time`, `type`, `money`, `proc`, `ves`, `baff`, `stat_hp`, `stat_fp`, `stat_battery`, `stat_atc_count`, `stat_atc`, `stat_dfnc`, `type_m`, `pic`) VALUES
(1, 0, 'Военный кортик', 'Военный кортик - лучший в своем роде', 1, 0, 'left_weapon', 29, 100, 2, 0, 0, 0, 0, 2, 2, 0, 'weapon', 1),
(2, 0, 'Сигнальная Ракетница', 'Ракентница стрелающая зарядом из пиротехники для привлечения внимания', 3, 0, 'right_weapon', 790, 100, 3, 0, 0, 0, 0, 1, 14, 0, 'weapon', 2),
(3, 0, 'Жилетка', 'Простая жилетка', 1, 0, 'armor', 170, 100, 4, 0, 2, 0, 0, 0, 0, 17, 'armor', 3);

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(28) NOT NULL AUTO_INCREMENT,
  `login` varchar(15) NOT NULL,
  `password` varchar(184) NOT NULL,
  `e-mail` varchar(64) NOT NULL,
  `time_reg` int(28) NOT NULL,
  `time_on` int(28) NOT NULL,
  `time_l` int(64) NOT NULL,
  `level` int(3) NOT NULL DEFAULT '0',
  `exp` int(48) NOT NULL DEFAULT '0',
  `money` int(48) NOT NULL DEFAULT '0',
  `donate` int(48) NOT NULL DEFAULT '0',
  `lp` int(48) NOT NULL DEFAULT '0',
  `sp` int(48) NOT NULL DEFAULT '0',
  `wp` varchar(182) NOT NULL,
  `hp` int(18) NOT NULL DEFAULT '0',
  `hpmax` int(18) NOT NULL DEFAULT '0',
  `fp` int(18) NOT NULL DEFAULT '0',
  `fpmax` int(18) NOT NULL DEFAULT '0',
  `battery` int(18) NOT NULL DEFAULT '1',
  `sex` varchar(2) NOT NULL DEFAULT 'm',
  `location` int(12) NOT NULL DEFAULT '1000',
  `rights` int(1) NOT NULL DEFAULT '0',
  `armor` varchar(780) NOT NULL,
  `right_weapon` varchar(780) NOT NULL,
  `left_weapon` varchar(780) NOT NULL,
  `rating_plus` int(10) NOT NULL DEFAULT '0',
  `rating_minus` int(10) NOT NULL DEFAULT '0',
  `icon` varchar(3) NOT NULL DEFAULT 'on',
  `module` varchar(30) NOT NULL DEFAULT 'index',
  `pk_weapon` enum('left_weapon','right_weapon') NOT NULL DEFAULT 'right_weapon',
  `bag_ves` float NOT NULL DEFAULT '0',
  `baf` int(2) NOT NULL DEFAULT '0',
  `baf_pit` int(10) NOT NULL DEFAULT '0',
  `baf_time` int(28) NOT NULL DEFAULT '0',
  `rega_bottom` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `users`
--

INSERT INTO `users` (`id`, `login`, `password`, `e-mail`, `time_reg`, `time_on`, `time_l`, `level`, `exp`, `money`, `donate`, `lp`, `sp`, `wp`, `hp`, `hpmax`, `fp`, `fpmax`, `battery`, `sex`, `location`, `rights`, `armor`, `right_weapon`, `left_weapon`, `rating_plus`, `rating_minus`, `icon`, `module`, `pk_weapon`, `bag_ves`, `baf`, `baf_pit`, `baf_time`, `rega_bottom`) VALUES
(1, 'Роман', '64098321d0f136d6c067481d9b544a1b', '', 1321105592, 1321293486, 1321293486, 0, 0, 0, 0, 0, 0, '', 100, 100, 100, 100, 1, 'm', 1000, 0, '', '', '', 0, 0, 'on', 'index', 'right_weapon', 0, 0, 0, 0, '0');

-- --------------------------------------------------------

--
-- Структура таблицы `users_konts`
--

CREATE TABLE IF NOT EXISTS `users_konts` (
  `id_user` int(11) NOT NULL,
  `id_kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `new_msg` int(11) NOT NULL DEFAULT '0',
  `type` enum('common','ignor','favorite','deleted') NOT NULL DEFAULT 'common',
  `name` varchar(64) DEFAULT NULL,
  UNIQUE KEY `id_user` (`id_user`,`id_kont`),
  KEY `type` (`type`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `users_konts`
--

INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`, `new_msg`, `type`, `name`) VALUES
(1, 0, 1321105592, 0, 'common', NULL);
