-- phpMyAdmin SQL Dump
-- version 3.2.3
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Сен 21 2011 г., 22:09
-- Версия сервера: 5.1.40
-- Версия PHP: 5.3.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- База данных: `core`
--

-- --------------------------------------------------------

--
-- Структура таблицы `bag`
--

CREATE TABLE IF NOT EXISTS `bag` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user` int(10) NOT NULL,
  `name` varchar(28) NOT NULL,
  `about` varchar(680) NOT NULL,
  `level` int(10) NOT NULL,
  `time` int(64) NOT NULL,
  `type` varchar(72) NOT NULL,
  `money` int(64) NOT NULL,
  `proc` int(3) NOT NULL DEFAULT '100',
  `ves` int(5) NOT NULL DEFAULT '0',
  `baff` int(10) NOT NULL DEFAULT '0',
  `stat_hp` int(3) NOT NULL DEFAULT '0',
  `stat_fp` int(3) NOT NULL DEFAULT '0',
  `stat_battery` int(3) NOT NULL DEFAULT '0',
  `stat_atc_count` int(3) NOT NULL DEFAULT '0',
  `stat_atc` int(3) NOT NULL DEFAULT '0',
  `stat_dfnc` int(3) NOT NULL DEFAULT '0',
  `count` int(100) NOT NULL DEFAULT '1',
  `pic` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=54 ;

--
-- Дамп данных таблицы `bag`
--

INSERT INTO `bag` (`id`, `user`, `name`, `about`, `level`, `time`, `type`, `money`, `proc`, `ves`, `baff`, `stat_hp`, `stat_fp`, `stat_battery`, `stat_atc_count`, `stat_atc`, `stat_dfnc`, `count`, `pic`) VALUES
(43, 1, 'Сигнальная Ракетница', 'Ракентница стрелающая зарядом из пиротехники для привлечения внимания', 3, 1314695107, 'right_weapon', 790, 100, 3, 0, 0, 0, 0, 1, 14, 0, 1, 2);

-- --------------------------------------------------------

--
-- Структура таблицы `ban`
--

CREATE TABLE IF NOT EXISTS `ban` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user` int(28) NOT NULL,
  `text` varchar(644) NOT NULL,
  `time` varchar(22) NOT NULL,
  `who` int(10) NOT NULL,
  `do_time` varchar(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=14 ;

--
-- Дамп данных таблицы `ban`
--


-- --------------------------------------------------------

--
-- Структура таблицы `chat_loc`
--

CREATE TABLE IF NOT EXISTS `chat_loc` (
  `id` int(64) NOT NULL AUTO_INCREMENT,
  `login` varchar(28) NOT NULL,
  `txtsob` varchar(128) NOT NULL,
  `time` int(28) NOT NULL,
  `ip` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=51 ;

--
-- Дамп данных таблицы `chat_loc`
--

INSERT INTO `chat_loc` (`id`, `login`, `txtsob`, `time`, `ip`) VALUES
(50, 'Роман', 'ываыва', 1316346082, '');

-- --------------------------------------------------------

--
-- Структура таблицы `locations`
--

CREATE TABLE IF NOT EXISTS `locations` (
  `id` int(12) NOT NULL,
  `title` varchar(128) NOT NULL DEFAULT 'Неизвестная зона',
  `txtsob` varchar(644) NOT NULL DEFAULT 'Описание отсутствует',
  `above_left` int(12) NOT NULL DEFAULT '0',
  `above_right` int(12) NOT NULL DEFAULT '0',
  `above_up` int(12) NOT NULL DEFAULT '0',
  `above_down` int(12) NOT NULL DEFAULT '0',
  `core` int(2) NOT NULL DEFAULT '0',
  `val` int(7) NOT NULL DEFAULT '0',
  `town` varchar(1822) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `locations`
--

INSERT INTO `locations` (`id`, `title`, `txtsob`, `above_left`, `above_right`, `above_up`, `above_down`, `core`, `val`, `town`) VALUES
(1000, 'Дорога к Харькову', 'Опасная дорога ведущая к самому большому "живому" городу', 999, 0, 0, 0, 0, 0, ''),
(999, 'Дорога к Харькову', 'Опасная дорога ведущая к самому большому "живому" городу', 998, 1000, 0, 0, 0, 0, ''),
(998, 'Дорога к Харькову', 'Опасная дорога ведущая к самому большому "живому" городу', 997, 999, 0, 996, 0, 0, ''),
(997, 'Харьков', 'Самый большой "живой" город', 0, 998, 0, 0, 6, 0, ''),
(996, 'Озеро "чудес"', 'Странное озеро, стоит быть внимательней', 0, 0, 998, 995, 0, 0, ''),
(993, 'Пустоши', 'Описание отсутствует', 0, 0, 995, 0, 0, 0, ''),
(995, 'Пустоши', 'Описание отсутствует', 994, 992, 996, 993, 0, 0, ''),
(994, 'Пустоши', 'Описание отсутствует', 0, 995, 0, 0, 0, 0, ''),
(992, 'Пустоши', 'Описание отсутствует', 995, 0, 0, 0, 0, 0, '');

-- --------------------------------------------------------

--
-- Структура таблицы `mail`
--

CREATE TABLE IF NOT EXISTS `mail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` text NOT NULL,
  `read` set('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `id_user` (`id_user`,`id_kont`),
  KEY `read` (`read`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- Дамп данных таблицы `mail`
--

INSERT INTO `mail` (`id`, `id_user`, `id_kont`, `time`, `msg`, `read`) VALUES
(1, 2, 1, 1314199097, 'dfgdfgdfgdfg', '1'),
(2, 2, 1, 1314199147, 'Привет!! Как дела??', '1'),
(3, 1, 2, 1314199195, 'Привет, норм , ты как??', '1'),
(4, 2, 1, 1314284683, 'сюпер, чем маися??', '1'),
(5, 2, 1, 1314284781, 'Ка ты?', '1'),
(6, 1, 2, 1314284834, 'TYjhvdf', '1'),
(7, 2, 1, 1314285064, 'нолролролро', '1'),
(8, 1, 2, 1314285110, 'dfgdfgdfgdf', '1');

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `title` varchar(63) NOT NULL,
  `txtsob` varchar(7897) NOT NULL,
  `time` int(63) NOT NULL DEFAULT '0',
  `who` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `news`
--

INSERT INTO `news` (`id`, `title`, `txtsob`, `time`, `who`) VALUES
(2, 'Две новости', 'Грусная новость, скажу кратко - был произведен вайп (удаление всех персонажей)<br />\r\nА теперь о радостном <img src="/data/smiles/smile.gif" alt="*" /> полность убрал ошибки, теперь можно свободно регистрироватся, играть и общатся! <img src="/data/smiles/smile.gif" alt="*" /><br />\r\n1) Теперь при регистрации Вы неполучаете рубли, их можно заработать в Харькове на шахте &quot;Горная&quot;<br />\r\n2) При регистрации Вы получаете оружие, без него несможете выйграть не одного боя<br />\r\n3) Переписал ЛС (почту), тепрь она в 100 раз лучше, это мини-чаты между 2 персонажами <img src="/data/smiles/smile.gif" alt="*" /><br />\r\n4) Добавил немного локаций и монстров 2 уровня<br />\r\n5) Повысил ставку в шахтах/лесопилках', 1314178613, 'Роман');

-- --------------------------------------------------------

--
-- Структура таблицы `npc`
--

CREATE TABLE IF NOT EXISTS `npc` (
  `id` int(7) NOT NULL AUTO_INCREMENT,
  `name` varchar(48) NOT NULL,
  `value` int(1) NOT NULL,
  `level` int(3) NOT NULL,
  `ataka` int(7) NOT NULL,
  `defence` int(7) NOT NULL,
  `location` int(11) NOT NULL,
  `hp` int(12) NOT NULL,
  `hpmax` int(12) NOT NULL,
  `respaun` int(12) NOT NULL,
  `who` int(12) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=80 ;

--
-- Дамп данных таблицы `npc`
--

INSERT INTO `npc` (`id`, `name`, `value`, `level`, `ataka`, `defence`, `location`, `hp`, `hpmax`, `respaun`, `who`) VALUES
(1, 'Орочий пес', 4, 0, 0, 1, 995, 10, 10, 0, 1),
(2, 'Орочий пес', 4, 0, 0, 1, 995, 10, 10, 0, 1),
(3, 'Орочий пес', 4, 0, 0, 1, 994, 10, 10, 0, 1),
(4, 'Орочий пес', 4, 0, 0, 1, 996, 10, 10, 0, 1),
(5, 'Орочий пес', 4, 0, 0, 1, 993, 10, 10, 0, 1),
(6, 'Орочий пес', 4, 0, 0, 1, 996, 10, 10, 0, 1),
(7, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 1),
(8, 'Орочий пес', 4, 0, 0, 1, 996, 10, 10, 0, 2),
(9, 'Орочий пес', 4, 0, 0, 1, 996, 10, 10, 0, 1),
(10, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 1),
(11, 'Орочий пес', 4, 0, 0, 1, 999, 10, 10, 0, 1),
(12, 'Орочий пес', 4, 0, 0, 1, 999, 10, 10, 0, 1),
(13, 'Орочий пес', 4, 0, 0, 1, 999, 10, 10, 0, 1),
(14, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 1),
(15, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(16, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(17, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(18, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(19, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(20, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(21, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(22, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(23, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(25, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(52, 'Злой ящер', 4, 3, 5, 7, 1000, 20, 20, 0, 1),
(27, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(29, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(51, 'Злой ящер', 4, 3, 5, 7, 994, 20, 20, 0, 1),
(31, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(33, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(50, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 1),
(35, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(37, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(49, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(39, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(41, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(48, 'Злой ящер', 4, 3, 5, 7, 992, 20, 20, 0, 1),
(43, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(45, 'Орочий пес', 4, 0, 0, 1, 1000, 10, 10, 0, 0),
(47, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 1),
(53, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 1),
(54, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(55, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(56, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(57, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(58, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(59, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(60, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(61, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(62, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(63, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(64, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(65, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(66, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(67, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(68, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(69, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(70, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(71, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(72, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(73, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(74, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(75, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(76, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(77, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(78, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0),
(79, 'Злой ящер', 4, 3, 5, 7, 993, 20, 20, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `shop`
--

CREATE TABLE IF NOT EXISTS `shop` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user` int(10) NOT NULL,
  `name` varchar(28) NOT NULL,
  `about` varchar(680) NOT NULL,
  `level` int(10) NOT NULL,
  `time` int(64) NOT NULL,
  `type` varchar(72) NOT NULL,
  `money` int(64) NOT NULL,
  `proc` int(3) NOT NULL DEFAULT '100',
  `ves` int(5) NOT NULL DEFAULT '0',
  `baff` int(10) NOT NULL DEFAULT '0',
  `stat_hp` int(3) NOT NULL DEFAULT '0',
  `stat_fp` int(3) NOT NULL DEFAULT '0',
  `stat_battery` int(3) NOT NULL DEFAULT '0',
  `stat_atc_count` int(3) NOT NULL DEFAULT '0',
  `stat_atc` int(3) NOT NULL DEFAULT '0',
  `stat_dfnc` int(3) NOT NULL DEFAULT '0',
  `type_m` varchar(10) NOT NULL,
  `pic` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `shop`
--

INSERT INTO `shop` (`id`, `user`, `name`, `about`, `level`, `time`, `type`, `money`, `proc`, `ves`, `baff`, `stat_hp`, `stat_fp`, `stat_battery`, `stat_atc_count`, `stat_atc`, `stat_dfnc`, `type_m`, `pic`) VALUES
(1, 0, 'Военный кортик', 'Военный кортик - лучший в своем роде', 1, 0, 'left_weapon', 29, 100, 2, 0, 0, 0, 0, 2, 2, 0, 'weapon', 1),
(2, 0, 'Сигнальная Ракетница', 'Ракентница стрелающая зарядом из пиротехники для привлечения внимания', 3, 0, 'right_weapon', 790, 100, 3, 0, 0, 0, 0, 1, 14, 0, 'weapon', 2),
(3, 0, 'Жилетка', 'Простая жилетка', 1, 0, 'armor', 170, 100, 4, 0, 2, 0, 0, 0, 0, 17, 'armor', 3);

-- --------------------------------------------------------

--
-- Структура таблицы `town_list_mine`
--

CREATE TABLE IF NOT EXISTS `town_list_mine` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `user` int(10) NOT NULL,
  `time` int(64) NOT NULL,
  `bank` int(128) NOT NULL,
  `res1` int(10) NOT NULL DEFAULT '0',
  `res2` int(10) NOT NULL DEFAULT '0',
  `location` int(10) NOT NULL,
  `tip` varchar(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `town_list_mine`
--

INSERT INTO `town_list_mine` (`id`, `name`, `user`, `time`, `bank`, `res1`, `res2`, `location`, `tip`) VALUES
(1, 'Горная', 2, 4145, 1437, 8788, 8468, 997, 'mine');

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(28) NOT NULL AUTO_INCREMENT,
  `login` varchar(15) NOT NULL,
  `password` varchar(184) NOT NULL,
  `e-mail` varchar(64) NOT NULL,
  `time_reg` int(28) NOT NULL,
  `time_on` int(28) NOT NULL,
  `class` varchar(15) NOT NULL,
  `level` int(3) NOT NULL DEFAULT '0',
  `exp` int(48) NOT NULL DEFAULT '0',
  `money` int(48) NOT NULL DEFAULT '0',
  `donate` int(48) NOT NULL DEFAULT '0',
  `lp` int(48) NOT NULL DEFAULT '0',
  `sp` int(48) NOT NULL DEFAULT '0',
  `wp` varchar(182) NOT NULL,
  `hp` int(18) NOT NULL DEFAULT '0',
  `hpmax` int(18) NOT NULL DEFAULT '0',
  `fp` int(18) NOT NULL DEFAULT '0',
  `fpmax` int(18) NOT NULL DEFAULT '0',
  `battery` int(18) NOT NULL DEFAULT '1',
  `sex` varchar(2) NOT NULL DEFAULT 'm',
  `location` int(12) NOT NULL DEFAULT '1000',
  `rights` int(1) NOT NULL DEFAULT '0',
  `atc_count` int(1) NOT NULL DEFAULT '1',
  `armor` varchar(780) NOT NULL,
  `right_weapon` varchar(780) NOT NULL,
  `left_weapon` varchar(780) NOT NULL,
  `town` int(12) NOT NULL,
  `chat_loc` varchar(2) NOT NULL,
  `ls_new` int(10) NOT NULL DEFAULT '0',
  `rating_plus` int(10) NOT NULL DEFAULT '0',
  `rating_minus` int(10) NOT NULL DEFAULT '0',
  `icon` varchar(3) NOT NULL DEFAULT 'on',
  `module` varchar(30) NOT NULL DEFAULT 'index',
  `who_list` varchar(3) NOT NULL DEFAULT 'on',
  `pk` varchar(9000) NOT NULL DEFAULT 'NULL',
  `pk_weapon` enum('left_weapon','right_weapon') NOT NULL DEFAULT 'right_weapon',
  `bag_ves` float NOT NULL DEFAULT '0',
  `baf` int(2) NOT NULL DEFAULT '0',
  `baf_pit` int(10) NOT NULL DEFAULT '0',
  `baf_time` int(28) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `users`
--

INSERT INTO `users` (`id`, `login`, `password`, `e-mail`, `time_reg`, `time_on`, `class`, `level`, `exp`, `money`, `donate`, `lp`, `sp`, `wp`, `hp`, `hpmax`, `fp`, `fpmax`, `battery`, `sex`, `location`, `rights`, `atc_count`, `armor`, `right_weapon`, `left_weapon`, `town`, `chat_loc`, `ls_new`, `rating_plus`, `rating_minus`, `icon`, `module`, `who_list`, `pk`, `pk_weapon`, `bag_ves`, `baf`, `baf_pit`, `baf_time`) VALUES
(1, 'Роман', 'ce162e63ee56ff053771309d56984b82', '', 1314177623, 1316346083, '1', 1, 33, 4043, 0, 9, 0, '', 177582, 177777, 10, 10, 1, 'm', 997, 9, 1, '', '', 'a:19:{s:2:"id";s:2:"44";s:4:"user";s:1:"1";s:4:"name";s:27:"Военный кортик";s:5:"about";s:65:"Военный кортик - лучший в своем роде";s:5:"level";s:1:"1";s:4:"time";s:10:"1314695109";s:4:"type";s:11:"left_weapon";s:5:"money";s:2:"29";s:4:"proc";s:3:"100";s:3:"ves";s:1:"2";s:4:"baff";s:1:"0";s:7:"stat_hp";s:1:"0";s:7:"stat_fp";s:1:"0";s:12:"stat_battery";s:1:"0";s:14:"stat_atc_count";s:1:"2";s:8:"stat_atc";s:1:"2";s:9:"stat_dfnc";s:1:"0";s:5:"count";s:1:"1";s:3:"pic";s:1:"1";}', 997, '', 0, 1, 0, 'on', 'crossing', 'on', '', 'right_weapon', 9, 0, 0, 0),
(2, 'МаиоЫ', 'a11079a06c11f2689725b2be22a25e2d', '', 1314199084, 1314453889, '2', 1, 0, 679, 0, 3, 0, '', 10, 10, 10, 10, 1, 'm', 997, 0, 1, '', '', 'a:17:{s:2:"id";s:1:"6";s:4:"user";s:1:"2";s:4:"name";s:12:"Кортик";s:5:"about";s:27:"Простой кортик";s:5:"level";s:1:"0";s:4:"time";s:10:"1314199084";s:4:"type";s:11:"left_weapon";s:5:"money";s:1:"3";s:4:"proc";s:3:"100";s:3:"ves";s:1:"1";s:4:"baff";s:1:"0";s:7:"stat_hp";s:1:"0";s:7:"stat_fp";s:1:"0";s:12:"stat_battery";s:1:"0";s:14:"stat_atc_count";s:1:"2";s:8:"stat_atc";s:1:"1";s:9:"stat_dfnc";s:1:"0";}', 0, '', 1, 0, 1, 'off', 'crossing', 'on', '', 'right_weapon', 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `users_konts`
--

CREATE TABLE IF NOT EXISTS `users_konts` (
  `id_user` int(11) NOT NULL,
  `id_kont` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `new_msg` int(11) NOT NULL DEFAULT '0',
  `type` enum('common','ignor','favorite','deleted') NOT NULL DEFAULT 'common',
  `name` varchar(64) DEFAULT NULL,
  UNIQUE KEY `id_user` (`id_user`,`id_kont`),
  KEY `type` (`type`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `users_konts`
--

INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`, `new_msg`, `type`, `name`) VALUES
(2, 1, 1314285110, 0, 'common', NULL),
(1, 2, 1314285110, 0, 'common', NULL);
