-- phpMyAdmin SQL Dump
-- version 3.2.3
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Июл 05 2011 г., 23:32
-- Версия сервера: 5.1.40
-- Версия PHP: 5.3.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- База данных: `lineage`
--

-- --------------------------------------------------------

--
-- Структура таблицы `admins`
--

CREATE TABLE IF NOT EXISTS `admins` (
  `user` int(10) NOT NULL,
  `val` varchar(1000) NOT NULL,
  `time` int(64) NOT NULL,
  `who` int(10) NOT NULL,
  `count` int(64) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- --------------------------------------------------------

--
-- Структура таблицы `ban`
--

CREATE TABLE IF NOT EXISTS `ban` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `nick` int(28) NOT NULL,
  `txtsob` varchar(644) NOT NULL,
  `time` varchar(22) NOT NULL,
  `who` int(10) NOT NULL,
  `do_time` varchar(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=9 ;

--
-- Дамп данных таблицы `ban`
--


-- --------------------------------------------------------

--
-- Структура таблицы `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `id` int(64) NOT NULL AUTO_INCREMENT,
  `user` int(64) NOT NULL,
  `text` varchar(128) NOT NULL,
  `time` int(28) NOT NULL,
  `ip` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Структура таблицы `clan`
--

CREATE TABLE IF NOT EXISTS `clan` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `bank` int(99) NOT NULL,
  `icon` int(3) NOT NULL,
  `bs` int(50) NOT NULL,
  `bm` int(50) NOT NULL,
  `level` int(3) NOT NULL DEFAULT '0',
  `exp` int(50) NOT NULL,
  `deck` varchar(128) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_chat`
--

CREATE TABLE IF NOT EXISTS `clan_chat` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user` int(28) NOT NULL,
  `txtsob` varchar(128) NOT NULL,
  `time` int(28) NOT NULL,
  `clan` int(28) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=17 ;


-- --------------------------------------------------------

--
-- Структура таблицы `clan_user`
--

CREATE TABLE IF NOT EXISTS `clan_user` (
  `id` int(50) NOT NULL AUTO_INCREMENT,
  `user` int(50) NOT NULL,
  `clan` varchar(10) NOT NULL,
  `status` varchar(28) NOT NULL,
  `exp` int(100) NOT NULL,
  `level` int(10) NOT NULL,
  `tmp` varchar(3) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Структура таблицы `fight`
--

CREATE TABLE IF NOT EXISTS `fight` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `nick` int(10) NOT NULL,
  `id_mob` int(10) NOT NULL,
  `hp` int(100) NOT NULL,
  `hpmax` int(100) NOT NULL,
  `history` varchar(486) NOT NULL,
  `ataka` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=77 ;

--
-- Дамп данных таблицы `fight`
--


-- --------------------------------------------------------

--
-- Структура таблицы `help`
--

CREATE TABLE IF NOT EXISTS `help` (
  `id` int(28) NOT NULL AUTO_INCREMENT,
  `user` int(28) NOT NULL,
  `text` varchar(284) NOT NULL,
  `time` int(18) NOT NULL,
  `otvet` varchar(644) NOT NULL,
  `otv` varchar(3) NOT NULL DEFAULT 'no',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;


-- --------------------------------------------------------

--
-- Структура таблицы `mobs`
--

CREATE TABLE IF NOT EXISTS `mobs` (
  `number` int(11) NOT NULL AUTO_INCREMENT,
  `hp` int(100) NOT NULL DEFAULT '10',
  `name` varchar(100) NOT NULL,
  `level` int(10) NOT NULL,
  `respaun` int(100) NOT NULL,
  `okr` varchar(100) NOT NULL DEFAULT 'Shadow of the Monster Tree',
  `ataka` int(10) NOT NULL DEFAULT '10',
  `drop` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`number`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=94 ;

--
-- Дамп данных таблицы `mobs`
--

INSERT INTO `mobs` (`number`, `hp`, `name`, `level`, `respaun`, `okr`, `ataka`, `drop`) VALUES
(2, 10, 'Gremlin', 0, 1308831051, 'Shadow of the Monster Tree', 10, 0),
(3, 10, 'Gremlin', 0, 1307894640, 'Shadow of the Monster Tree', 10, 0),
(4, 10, 'Gremlin', 0, 1307892925, 'Shadow of the Monster Tree', 10, 0),
(5, 10, 'Gremlin', 0, 1307892927, 'Shadow of the Monster Tree', 10, 0),
(6, 10, 'Gremlin', 0, 1307892959, 'Shadow of the Monster Tree', 10, 0),
(7, 10, 'Gremlin', 0, 1307892964, 'Shadow of the Monster Tree', 10, 0),
(8, 10, 'Gremlin', 0, 1307892962, 'Shadow of the Monster Tree', 10, 0),
(9, 10, 'Gremlin', 0, 1307893000, 'Shadow of the Monster Tree', 10, 0),
(10, 10, 'Gremlin', 0, 1308493094, 'Shadow of the Monster Tree', 10, 0),
(11, 10, 'Gremlin', 0, 1308493098, 'Shadow of the Monster Tree', 10, 0),
(12, 10, 'Gremlin', 0, 1308493090, 'Shadow of the Monster Tree', 10, 0),
(13, 10, 'Gremlin', 0, 1308493084, 'Shadow of the Monster Tree', 10, 0),
(14, 10, 'Gremlin', 0, 1308493075, 'Shadow of the Monster Tree', 10, 0),
(15, 10, 'Gremlin', 0, 1308493079, 'Shadow of the Monster Tree', 10, 0),
(16, 10, 'Gremlin', 0, 1308493153, 'Shadow of the Monster Tree', 10, 0),
(17, 10, 'Gremlin', 0, 1308493149, 'Shadow of the Monster Tree', 10, 0),
(18, 10, 'Gremlin', 0, 1308493146, 'Shadow of the Monster Tree', 10, 0),
(19, 10, 'Gremlin', 0, 1308493140, 'Shadow of the Monster Tree', 10, 0),
(20, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(21, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(22, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(23, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(24, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(25, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(26, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(27, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(28, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(29, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(30, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(31, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(32, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(33, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(34, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(35, 50, 'Gremlin', 1, 0, 'Shadow of the Monster Tree', 10, 0),
(36, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(37, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(38, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(39, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(40, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(41, 100, 'Gremlin', 2, 1308382224, 'Shadow of the Monster Tree', 10, 0),
(42, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(43, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(44, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(45, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(46, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(47, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(48, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(49, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(50, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(51, 100, 'Gremlin', 2, 0, 'Shadow of the Monster Tree', 10, 0),
(52, 200, 'Gremlin', 3, 0, 'Shadow of the Monster Tree', 50, 0),
(53, 200, 'Gremlin', 3, 0, 'Shadow of the Monster Tree', 50, 0),
(54, 200, 'Gremlin', 3, 0, 'Shadow of the Monster Tree', 50, 0),
(55, 200, 'Gremlin', 3, 1307973580, 'Shadow of the Monster Tree', 50, 0),
(56, 200, 'Gremlin', 3, 0, 'Shadow of the Monster Tree', 50, 0),
(57, 200, 'Gremlin', 3, 0, 'Shadow of the Monster Tree', 50, 0),
(58, 200, 'Gremlin', 3, 0, 'Shadow of the Monster Tree', 50, 0),
(59, 200, 'Gremlin', 3, 0, 'Shadow of the Monster Tree', 50, 0),
(60, 200, 'Gremlin', 3, 0, 'Shadow of the Monster Tree', 50, 0),
(61, 200, 'Gremlin', 3, 1307904016, 'Shadow of the Monster Tree', 50, 0),
(62, 200, 'Gremlin', 3, 1307904018, 'Shadow of the Monster Tree', 50, 0),
(63, 200, 'Gremlin', 3, 1307904013, 'Shadow of the Monster Tree', 50, 0),
(64, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(65, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(66, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(67, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(68, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(69, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(70, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(71, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(72, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(73, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(74, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(75, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(76, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(77, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(78, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(79, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(80, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(81, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(82, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(83, 200, 'Grand Wolf', 0, 0, 'Demon Valley', 50, 0),
(84, 200, 'Grand Wolf', 0, 1307893519, 'Demon Valley', 50, 0),
(85, 10, 'Злой санта', 50, 1307974487, 'Shadow of the Monster Tree', 10, 0),
(93, 100000, 'Тестер', 99, 0, 'Shadow of the Monster Tree', 10, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `title` varchar(63) NOT NULL,
  `txtsob` varchar(633) NOT NULL,
  `time` int(63) NOT NULL DEFAULT '0',
  `who` int(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=8 ;

CREATE TABLE IF NOT EXISTS `okr` (
  `name` varchar(63) NOT NULL,
  `town` varchar(63) NOT NULL,
  `teleport` varchar(63) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `okr`
--

INSERT INTO `okr` (`name`, `town`, `teleport`) VALUES
('Demon Valley', 'Talking Island Village', '50'),
('Shadow of the Monster Tree', 'Talking Island Village', '10'),
('Shadow of the Monster Tree', 'Aden Castle Town', '10'),
('Shadow of the Monster Tree', 'Dark Elven Village', '10'),
('Shadow of the Monster Tree', 'Dion Town', '10'),
('Shadow of the Monster Tree', 'Dwarven Village', '10'),
('Shadow of the Monster Tree', 'Elven Village', '10'),
('Shadow of the Monster Tree', 'Gludio Village', '10'),
('Shadow of the Monster Tree', 'Giran Castle Town', '10'),
('Shadow of the Monster Tree', 'Goddard Town', '10'),
('Shadow of the Monster Tree', 'Heine', '10'),
('Shadow of the Monster Tree', 'Hunter Village', '10'),
('Shadow of the Monster Tree', 'Kamael Village', '10'),
('Shadow of the Monster Tree', 'Orc Village', '10'),
('Shadow of the Monster Tree', 'Oren Town', '10'),
('Shadow of the Monster Tree', 'Rune Township', '10'),
('Shadow of the Monster Tree', 'Shtutgart Town', '10');

-- --------------------------------------------------------

--
-- Структура таблицы `table_block`
--

CREATE TABLE IF NOT EXISTS `table_block` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nick` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `pricina` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `table_block`
--


-- --------------------------------------------------------

--
-- Структура таблицы `table_vip`
--

CREATE TABLE IF NOT EXISTS `table_vip` (
  `nick` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `time` varchar(30) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- --------------------------------------------------------

--
-- Структура таблицы `town`
--

CREATE TABLE IF NOT EXISTS `town` (
  `name` varchar(28) NOT NULL,
  `desck` varchar(128) NOT NULL,
  `logo` int(2) NOT NULL,
  `teleport` int(18) NOT NULL,
  `clan` int(11) NOT NULL,
  `proc` int(1) NOT NULL DEFAULT '1'
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
-- Дамп данных таблицы `town`
--

INSERT INTO `town` (`name`, `desck`, `logo`, `teleport`, `clan`, `proc`) VALUES
('Talking Island Village', '<span class="strong">Guard</span><br />Вы попали в город людей значит ведите себя как люди!', 0, 100, 0, 1),
('Aden Castle Town', '<span class="strong">Aden Guard</span><br/>Центер економики,купли и продаж,с хорошой охраной,этот город пря к успеху и хорошой п', 0, 5000, 3, 10),
('Dark Elven Village', '<span class="strong">Dark Guard Manager</span><br />Город Темных эльфов очень мрачный и наганяет ужас для других расс', 0, 50, 0, 1),
('Dion Town', '<span class="strong">Dion Guard</span><br />Небольшой город жаждущий мира и не в коем случае войны.', 0, 1500, 0, 1),
('Dwarven Village', '<span class="strong">Dwarven Guard</span><br />Город гномов как их еще называют коротышек...простой ничем неособенный правда в с', 0, 50, 0, 1),
('Elven Village', '<span class="strong">Elf Guard</span><br />Эльфы... Самая добрая расса знает очень хорошо магию и этот город даст Вам чуство уве', 0, 50, 0, 1),
('Gludio Village', '<span class="strong">Guard</span><br />Этот город - центр нашего мира. Будьте осторожны! Говорят здесь охраняют это место Титаны', 0, 1500, 3, 1),
('Giran Castle Town', '<span class="strong">Guard Giran</span><br />Провинциальный город в мире Aden хорошый мирный в котором все чесно', 0, 2800, 3, 1),
('Goddard Town', '<span class="strong">Guard Erik</span><br />Вы попали в один из самых мощный военных городов,будьте осторожны..', 0, 3500, 3, 3),
('Heine', '<span class="strong">Heine Guard</span><br />Мирный город где слышно шелест травы и шум воды', 0, 1400, 3, 1),
('Hunter Village', '<span class="strong">Hunter Guard</span><br />Любиш охоту,дикобразтво,и чуствовать себя полностю свободным?? Ты попал по адресу!', 0, 1600, 3, 1),
('Kamael Village', '<span class="strong">Guard Drago</span><br />Хотите хорошо научитса стрелять с арбалета лучшее мастера рассы Камаэль обучат Вас ', 0, 50, 0, 1),
('Orc Village', '<span class="strong">Orc Guard</span><br />Смирно солдат!! Ты попал на нашу тереторию если ты один из нас присоеденяйся!', 0, 50, 0, 1),
('Oren Town', '<span class="strong">Guard Erik</span><br />Oren Town самый защищеный город средиземя.', 0, 1900, 3, 1),
('Rune Township', '<span class="strong">Rune Guard</span><br />Город в котором не происходит ничево плохого. Довольно спокойный и мирный люд.', 0, 3100, 3, 1),
('Shtutgart Town', '<span class="strong">Guard Erik</span><br />Shtutgart Town зимний город...здесь всегда холодно и падает снег.', 0, 2000, 3, 3);

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `login` varchar(28) NOT NULL,
  `pass` varchar(64) NOT NULL,
  `email` varchar(28) NOT NULL,
  `sex` varchar(2) NOT NULL DEFAULT 'no',
  `time_rega` int(28) NOT NULL,
  `time_only` int(28) NOT NULL,
  `level` int(2) NOT NULL DEFAULT '0',
  `exp` int(28) NOT NULL DEFAULT '0',
  `money` int(64) NOT NULL DEFAULT '0',
  `donate` int(64) NOT NULL DEFAULT '0',
  `sp` int(64) NOT NULL DEFAULT '0',
  `hp` int(10) NOT NULL DEFAULT '10',
  `hpmax` int(10) NOT NULL DEFAULT '10',
  `mp` int(10) NOT NULL DEFAULT '10',
  `mpmax` int(10) NOT NULL DEFAULT '10',
  `cp` int(10) NOT NULL DEFAULT '10',
  `cpmax` int(10) NOT NULL DEFAULT '10',
  `ataka` int(28) NOT NULL DEFAULT '0',
  `defence` int(28) NOT NULL DEFAULT '0',
  `defence_mag` int(28) NOT NULL DEFAULT '0',
  `power` int(64) NOT NULL DEFAULT '1',
  `town` int(28) NOT NULL,
  `okr` varchar(28) NOT NULL,
  `win` int(28) NOT NULL DEFAULT '0',
  `lose` int(28) NOT NULL DEFAULT '0',
  `pk_win` int(28) NOT NULL DEFAULT '0',
  `pvp_win` int(28) NOT NULL DEFAULT '0',
  `clas` varchar(10) NOT NULL,
  `prof` varchar(10) NOT NULL,
  `prof_exp` int(28) NOT NULL DEFAULT '0',
  `rasa` varchar(10) NOT NULL,
  `karma` int(64) NOT NULL DEFAULT '0',
  `rating_rek` int(64) NOT NULL DEFAULT '0',
  `weapon` varchar(64) NOT NULL,
  `helmets` varchar(64) NOT NULL,
  `body` varchar(64) NOT NULL,
  `gloves` varchar(64) NOT NULL,
  `shield` varchar(64) NOT NULL,
  `boots` varchar(64) NOT NULL,
  `ring_r` varchar(64) NOT NULL,
  `ring_l` varchar(64) NOT NULL,
  `ukr` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;